#include "sound_widget.hpp"

#include <imgui.h>

namespace game::util::imgui
{
  bool sound_widget(const char* id, bool isMissing)
  {
    ImGui::PushID(id);
    ImGui::BeginDisabled(isMissing);
    auto clicked = ImGui::SmallButton(isMissing ? "X" : "Play");
    ImGui::EndDisabled();
    ImGui::PopID();
    return clicked;
  }
}
